require 'gw2api/version'
require 'endpoints/build'
require 'endpoints/items'
require 'endpoints/worlds'

module GW2API
	BASE_URL = 'https://api.guildwars2.com/'

	def self.build
		GW2API::BuildEndpoint.new
	end
	def self.items
		GW2API::ItemsEndpoint.new
	end
	def self.worlds
		GW2API::WorldsEndpoint.new
	end
end
